RecoveryXAResourceHolder (Bitronix Transaction Manager :: Core 2.1.4 API)
Date: 2013-09-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bitronix.tm.resource.common
Class RecoveryXAResourceHolder

    java.lang.Object
      bitronix.tm.resource.common.AbstractXAStatefulHolder
          bitronix.tm.resource.common.AbstractXAResourceHolder
              bitronix.tm.resource.common.RecoveryXAResourceHolder

All Implemented Interfaces:
  XAResourceHolder, XAStatefulHolder

    public class RecoveryXAResourceHolder

extends AbstractXAResourceHolder

`XAResourceHolder` created by an `XAResourceProducer` that is used to perform recovery. Objects of this class cannot be used outside recovery scope.

Author:
  lorban

Field Summary

Fields inherited from interface bitronix.tm.resource.common.XAStatefulHolder
`STATE_ACCESSIBLE, STATE_CLOSED, STATE_IN_POOL, STATE_NOT_ACCESSIBLE`

Constructor Summary
`RecoveryXAResourceHolder(XAResourceHolder xaResourceHolder)`

Method Summary
`void` | `close()` Close the physical connection that this `XAStatefulHolder` represents.
`Object` | `getConnectionHandle()` Create a disposable handler used to drive a pooled instance of `XAStatefulHolder`.
`Date` | `getLastReleaseDate()` Get the date at which this object was last released to the pool.
`ResourceBean` | `getResourceBean()` Get the ResourceBean which created this XAResourceHolder.
`XAResource` | `getXAResource()` Get the vendor's `XAResource` implementation of the wrapped resource.
`List<XAResourceHolder>` | `getXAResourceHolders()` Get the list of `XAResourceHolder`s created by this `XAStatefulHolder` that are still open.

Methods inherited from class bitronix.tm.resource.common.AbstractXAResourceHolder
`getXAResourceHolderStateGtrids, getXAResourceHolderStatesForGtrid, hasStateForXAResource, isParticipatingInActiveGlobalTransaction, putXAResourceHolderState, removeXAResourceHolderState`

Methods inherited from class bitronix.tm.resource.common.AbstractXAStatefulHolder
`addStateChangeEventListener, getState, removeStateChangeEventListener, setState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface bitronix.tm.resource.common.XAStatefulHolder
`addStateChangeEventListener, getState, removeStateChangeEventListener, setState`

Constructor Detail

### RecoveryXAResourceHolder

    public RecoveryXAResourceHolder(XAResourceHolder xaResourceHolder)

Method Detail

### close

    public void close()
               throws Exception

  Description copied from interface: `XAStatefulHolder`
  Close the physical connection that this `XAStatefulHolder` represents.

  Throws:
    `Exception` - a resource-specific exception thrown when there is an error closing the physical connection.

### getLastReleaseDate

    public Date getLastReleaseDate()

  Description copied from interface: `XAStatefulHolder`
  Get the date at which this object was last released to the pool. This is required to check if it is eligible for discard when the containing pool needs to shrink.

  Returns:
    the date at which this object was last released to the pool or null if it never left the pool.

### getXAResource

    public XAResource getXAResource()

  Description copied from interface: `XAResourceHolder`
  Get the vendor's `XAResource` implementation of the wrapped resource.

  Returns:
    the vendor's XAResource implementation.

### getResourceBean

    public ResourceBean getResourceBean()

  Description copied from interface: `XAResourceHolder`
  Get the ResourceBean which created this XAResourceHolder.

  Returns:
    the ResourceBean which created this XAResourceHolder.

### getXAResourceHolders

    public List<XAResourceHolder> getXAResourceHolders()

  Description copied from interface: `XAStatefulHolder`
  Get the list of `XAResourceHolder`s created by this `XAStatefulHolder` that are still open.

  This method is thread-safe.

  Returns:
    the list of `XAResourceHolder`s created by this `XAStatefulHolder` that are still open.

### getConnectionHandle

    public Object getConnectionHandle()
                               throws Exception

  Description copied from interface: `XAStatefulHolder`
  Create a disposable handler used to drive a pooled instance of `XAStatefulHolder`.

  This method is thread-safe.

  Returns:
    a resource-specific disaposable connection object.
  Throws:
    `Exception` - a resource-specific exception thrown when the disaposable connection cannot be created.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Bitronix Software. All Rights Reserved.